Package voltage.core

# Enum Class VoltageModule.ModuleType

java.lang.Object
java.lang.Enum<VoltageModule.ModuleType>
voltage.core.VoltageModule.ModuleType

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageModule.ModuleType>`, `Constable`

Enclosing class:
  `VoltageModule`

public static enum VoltageModule.ModuleType extends Enum<VoltageModule.ModuleType>
The type of module you are creating.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ModuleType_Controller`
  general envelope generators, sequencers, keyboards, MIDI-to-CV
  `ModuleType_CVProcessors`
  general filters, limiters, etc.
  `ModuleType_Drums`
  drum sounds
  `ModuleType_Effect`
  reverb, delay, etc.
  `ModuleType_EnvelopeGenerators`
  drum envelope, adsr envelopes, etc.
  `ModuleType_Filters`
  filters
  `ModuleType_Instruments`
  full instrument modules
  `ModuleType_IO`
  MIDI/Audio device input/output
  `ModuleType_Logic`
  math, ors, ands, xors, etc.
  `ModuleType_Metering`
  oscilliscopes, frequency displays, meters
  `ModuleType_MIDI`
  MIDI
  `ModuleType_Mixers`
  mixers
  `ModuleType_Oscillators`
  oscillators
  `ModuleType_PolyphonicUtilities`
  poly utilities
  `ModuleType_Processor`
  filters, wave shapers
  `ModuleType_Sequencers`
  sequencers
  `ModuleType_Source`
  general oscillators, noise generators
  `ModuleType_Switches`
  switches, e.g.
  `ModuleType_System`
  reserved for internal use.
  `ModuleType_Utility`
  general mixers, gates, multipliers, amplifiers
  `ModuleType_Visualizers`
  visual animations that respond to audio

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageModule.ModuleType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageModule.ModuleType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ModuleType_System

    public static final VoltageModule.ModuleType ModuleType_System
    reserved for internal use. Not for module developers.

  - ### ModuleType_Controller

    public static final VoltageModule.ModuleType ModuleType_Controller
    general envelope generators, sequencers, keyboards, MIDI-to-CV

  - ### ModuleType_CVProcessors

    public static final VoltageModule.ModuleType ModuleType_CVProcessors
    general filters, limiters, etc.

  - ### ModuleType_Drums

    public static final VoltageModule.ModuleType ModuleType_Drums
    drum sounds

  - ### ModuleType_Effect

    public static final VoltageModule.ModuleType ModuleType_Effect
    reverb, delay, etc.

  - ### ModuleType_EnvelopeGenerators

    public static final VoltageModule.ModuleType ModuleType_EnvelopeGenerators
    drum envelope, adsr envelopes, etc.

  - ### ModuleType_Filters

    public static final VoltageModule.ModuleType ModuleType_Filters
    filters

  - ### ModuleType_Instruments

    public static final VoltageModule.ModuleType ModuleType_Instruments
    full instrument modules

  - ### ModuleType_IO

    public static final VoltageModule.ModuleType ModuleType_IO
    MIDI/Audio device input/output

  - ### ModuleType_Logic

    public static final VoltageModule.ModuleType ModuleType_Logic
    math, ors, ands, xors, etc.

  - ### ModuleType_Metering

    public static final VoltageModule.ModuleType ModuleType_Metering
    oscilliscopes, frequency displays, meters

  - ### ModuleType_MIDI

    public static final VoltageModule.ModuleType ModuleType_MIDI
    MIDI

  - ### ModuleType_Mixers

    public static final VoltageModule.ModuleType ModuleType_Mixers
    mixers

  - ### ModuleType_Oscillators

    public static final VoltageModule.ModuleType ModuleType_Oscillators
    oscillators

  - ### ModuleType_PolyphonicUtilities

    public static final VoltageModule.ModuleType ModuleType_PolyphonicUtilities
    poly utilities

  - ### ModuleType_Processor

    public static final VoltageModule.ModuleType ModuleType_Processor
    filters, wave shapers

  - ### ModuleType_Sequencers

    public static final VoltageModule.ModuleType ModuleType_Sequencers
    sequencers

  - ### ModuleType_Source

    public static final VoltageModule.ModuleType ModuleType_Source
    general oscillators, noise generators

  - ### ModuleType_Switches

    public static final VoltageModule.ModuleType ModuleType_Switches
    switches, e.g. 1 to 8 switch

  - ### ModuleType_Utility

    public static final VoltageModule.ModuleType ModuleType_Utility
    general mixers, gates, multipliers, amplifiers

  - ### ModuleType_Visualizers

    public static final VoltageModule.ModuleType ModuleType_Visualizers
    visual animations that respond to audio

- ## Method Details

  - ### values

    public static VoltageModule.ModuleType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageModule.ModuleType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null